Get integration statistics
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/banks/integrationStats \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/integrationStats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/integrationStats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"status": "ACTIVE",
"apiAccessToken": "access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147",
"apiName": "STRIPE",
"id": "<string>",
"businessId": "1234567",
"canAcceptPayments": false,
"merchantId": "pk_test_TYooMQauvdEDq54NiTphI7jx",
"apiUserId": "acct_1PFwTDkSKQCPcs",
"resetRequired": false,
"createdDate": "2023-11-07T05:31:56Z",
"lastSyncedDate": "2023-11-07T05:31:56Z",
"lastApiSyncedDate": "2023-11-07T05:31:56Z",
"lastInstitutionTranDate": "2023-11-07T05:31:56Z",
"tokenStatus": "SUCCESS",
"additionalConsentRequired": true,
"apiInstitutionName": "Citi",
"apiInstitutionId": "ins_4",
"apiErrorCode": "ITEM_LOGIN_REQUIRED",
"apiErrorDisplayMessage": "The user did not grant the necessary permissions for this product on their account.",
"apiErrorMessage": "the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
"apiErrorType": "ITEM_ERROR",
"glAccountId": "1234567",
"apiIntegrationId": "1234567",
"historicalReady": true,
"initialReady": true
},
"bankAccounts": [
{
"id": "<string>",
"totalPlaidTransactions": 123,
"tightTransactions": {
"total": 123,
"totalByApiName": {}
},
"latestPlaidTransactionDate": "2023-12-25",
"latestTightTransactionDate": "2023-12-25"
}
]
}Banks
Get integration statistics
Get transaction statistics for a specific Plaid integration
GET
/
v5
/
banks
/
integrationStats
Get integration statistics
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Id of the integration
Start date filter for transaction counts (inclusive)
End date filter for transaction counts (inclusive)
⌘I